%% Generated by lilypond-book
%% Options: [exampleindent=10.16\mm,indent=0\mm,line-width=160\mm]
\include "lilypond-book-preamble.ly"


% ****************************************************************
% Start cut-&-pastable-section
% ****************************************************************

#(ly:set-option 'eps-box-padding 3.000000)



\paper {
  indent = 0\mm
  line-width = 160\mm
  % offset the left padding, also add 1mm as lilypond creates cropped
  % images with a little space on the right
  line-width = #(- line-width (* mm  3.000000) (* mm 1))
}

\layout {
  
}




% ****************************************************************
% ly snippet:
% ****************************************************************
\sourcefilename "snippets/making-an-object-invisible-with-the-transparent-property.ly"
\sourcefileline 0
%% DO NOT EDIT this file manually; it was automatically
%% generated from the LilyPond Snippet Repository
%% (http://lsr.di.unimi.it).
%%
%% Make any changes in the LSR itself, or in
%% `Documentation/snippets/new/`, then run
%% `scripts/auxiliar/makelsr.pl`.
%%
%% This file is in the public domain.

\version "2.23.13"

\header {
%% Translation of GIT committish: f11513f36c131dab18338d6a3a729e24a927150d
  texidocja = "
@code{transparent} プロパティをセットすると、オブジェクトは@qq{透明なインク}@c
で描かれます: つまり、オブジェクトは表示されませんが、その他の性質は残ったまま@c
になるということです。オブジェクトはスペースを占有し、衝突が考慮され、@c
スラー、タイ、連桁を付け加えることができます。

このスニペットは異なるボイスの音符をタイで繋ぐ方法を示しています。@c
通常は、タイは同じボイスの音符にしか繋ぐことはできません。@c
上のボイスにタイを付加し、そのボイスにある前の音符を透明にすることで、@c
タイがボイスをまたがるように見えます。
"
  doctitleja = "transparent プロパティを用いてオブジェクトを不可視にする"
%% Translation of GIT committish: a3fd5364fc4f247579da0ed2bfea887ab37285c6
  texidocfr = "
Une modification de la propriété @code{transparent} permet d'imprimer un
objet « à l'encre sympathique » : l'objet n'est pas affiché bien que tous
ses attributs soient préservés.  L'objet en question occupe donc sa
place, est pris en compte lors de collisions, et peut se voir attaché
liaisons ou ligatures.

Cet exemple illustre la manière de connecter deux voix par une liaison
de prolongation.  Les liaisons de prolongation ne peuvent normalement
intervenir que dans la même voix.  Dès lors que la liaison est entamée
dans une autre voix et que la première hampe ascendante est rendue
transparente dans cette même voix, la liaison semble passer d'une voix à
l'autre.
"

  doctitlefr = "Recours à la propriété @code{transparent} pour rendre des objets invisibles"

%% Translation of GIT committish: 0c00cd98e81b27325bed5891b950fe7f0f0ebe5d
  texidoces = "
Si se ajusta la propiedad @code{transparent} de un objeto, se imprime
en @qq{tinta invisible}: el objeto no se imprime pero se retienen
todos sus otros comportamientos.  El objeto aún ocupa espacio,
participa en las colisiones y se le pueden unir ligaduras de
expresión, ligaduras de unión y barras de corchea.

Este fragmento de código muestra cómo conectar diferentes voces usando
ligaduras de unión.  Normalmente las ligaduras de unión solamente
conectan dos notas que estén en la misma voz.  Mediante la
introducción de una ligadura en una voz distinta y pintando de color
blanco la primera plica hacia arriba dentro de esa voz, la ligadura
parece cruzar de una voz a otra.

"
  doctitlees = "Hacer invisible un objeto con la propiedad 'transparent"

%% Translation of GIT committish: 01cf27b0b2ef4625b7b7f023848df87bb1e4e382
  texidocca = "
Si s'ajusta la propietat @code{transparent} d'un objecte,
s'imprimeix en @qq{tinta invisible}: l'objecte no s'imprimeix però
es retenen tots els seus altres comportaments.  L'objecte encara
ocupa espai, participa en les col·lisions i se li poden afegir
lligadures d'expressió, lligadures d'unió i barres de corxera.

Aquest fragment de codi mostra com connectar diferents veus usant
lligadures d'únió.  Normalment les lligadures d'unió sols
connecten dues notes que estiguin a la mateixa veu.  Mitjançant la
introducció d'una lligadura en una veu diferent i pintant de color
blanc la primera plica cap a amunt dins d'aquesta veu, la
lligadura sembla creuar d'una veu a l'altra.

"
  doctitleca = "Fer invisible un objecte amb la propietat 'transparent"

  lsrtags = "rhythms, simultaneous-notes, tweaks-and-overrides"

  texidoc = "
Setting the @code{transparent} property will cause an object to be
printed in @qq{invisible ink}: the object is not printed, but all its
other behavior is retained.  The object still takes up space, it takes
part in collisions, and slurs, ties and beams can be attached to it.

This snippet demonstrates how to connect different voices using ties.
Normally, ties only connect two notes in the same voice.  By
introducing a tie in a different voice, and blanking the first up-stem
in that voice, the tie appears to cross voices.
"

  doctitle = "Making an object invisible with the 'transparent property"
} % begin verbatim


\relative {
  \time 2/4
  <<
    {
      \once \hide Stem
      \once \override Stem.length = #8
      b'8 ~ 8\noBeam
      \once \hide Stem
      \once \override Stem.length = #8
      g8 ~ 8\noBeam
    }
    \\
    {
      b8 g g e
    }
  >>
}



% ****************************************************************
% end ly snippet
% ****************************************************************
