%% Generated by lilypond-book
%% Options: [exampleindent=10.16\mm,indent=0\mm,line-width=160\mm]
\include "lilypond-book-preamble.ly"


% ****************************************************************
% Start cut-&-pastable-section
% ****************************************************************

#(ly:set-option 'eps-box-padding 3.000000)



\paper {
  indent = 0\mm
  line-width = 160\mm
  % offset the left padding, also add 1mm as lilypond creates cropped
  % images with a little space on the right
  line-width = #(- line-width (* mm  3.000000) (* mm 1))
}

\layout {
  
}




% ****************************************************************
% ly snippet:
% ****************************************************************
\sourcefilename "snippets/non-traditional-key-signatures.ly"
\sourcefileline 0
%% DO NOT EDIT this file manually; it was automatically
%% generated from the LilyPond Snippet Repository
%% (http://lsr.di.unimi.it).
%%
%% Make any changes in the LSR itself, or in
%% `Documentation/snippets/new/`, then run
%% `scripts/auxiliar/makelsr.pl`.
%%
%% This file is in the public domain.

\version "2.23.13"

\header {
%% Translation of GIT committish: f11513f36c131dab18338d6a3a729e24a927150d
  texidocja = "
広く使われている @code{\\key} コマンドは、@code{Staff} コンテキストの
@code{keyAlterations} をセットしています。@c
非標準な調号を作成するには、このプロパティを直接セットします。

コマンドの形式は以下のようなリストです:

@code{ \\set Staff.keyAlterations = #`(((octave . step) . alter) ((octave
. step) . alter) ...) } 

が構文です。リストの各要素について、@code{octave} がオクターブを指定し
(0 がミドル C からその上の B まで)、@code{step} はオクターブ内の@c
音階 (0 が C, 6 が B)、@code{alter} が @code{,SHARP ,FLAT ,DOUBLE-SHARP}
などです。

または、各要素についてより簡潔な形式があり、@c
@code{(step . alter)} は全てのオクターブに対して変化記号が適用されます。@c
@qq{シャープ} が 100 セントではない微分音のスケールでは、@code{alter}
を 200 セントの全音を 1 とした数値で指定できます。
"
  doctitleja = "非伝統的な調号"

%% Translation of GIT committish: 2f3474d9af596d677ed5b7ce720ae4d0954a6b51
  texidocit = "
Il comando @code{\\key} comunemente usato imposta la proprietà
@code{keyAlterations} del contesto @code{Staff}.
Per creare armature di chiave non standard, tale proprietà va
impostata esplicitamente.

Il formato di questo comando è una lista:

@code{\\set Staff.keyAlterations = #`(((ottava . grado) . alterazione) ((ottava
. grado) . alterazione) ...)}

dove, per ogni elemento della lista, @code{ottava} indica l'ottava (0 è
l'ottava dal Do centrale al Si precedente), @code{grado} indica la nota
all'interno dell'ottava (0 significa Do e 6 significa Si) e @code{alterazione}
può essere @code{,SHARP ,FLAT ,DOUBLE-SHARP} etc.

Altrimenti, usando il formato breve per ogni elemento della lista,
@code{(grado . alterazione)}, ciò indica che la stessa alterazione deve
essere presente in tutte le ottave. Per le scale microtonalidove un
@qq{diesis} non è 100 centesimi, @code{alterazione} si riferisce alla
proporzione di un duecentesimo di tono intero.

"
  doctitleit = "Armature di chiave non tradizionali"

%% Translation of GIT committish: a3fd5364fc4f247579da0ed2bfea887ab37285c6
  texidocfr = "
La commande @code{\\key} détermine la propriété @code{keyAlterations} d'un
contexte @code{Staff}.

Des armures inhabituelles peuvent être spécifiées en modifiant
directement cette propriété. Il s'agit en l'occurrence de définir une
liste :

@verbatim
\\set Staff.keyAlterations =
  #`(((octave . pas) . altération) ((octave . pas) . altération)
  @dots{})
@end verbatim

@noindent
dans laquelle, et pour chaque élément, @code{octave} spécifie l'octave
(0 pour celle allant du do médium au si supérieur), @code{pas} la note
dans cette octave (0 pour do et 6 pour si), et @code{altération} sera
@code{,SHARP} ou @code{,FLAT} ou @code{,DOUBLE-SHARP}, etc. (attention à
la virgule en préfixe).

Une formulation abrégée -- @code{(pas . altération)} -- signifie que
l'altération de l'élément en question sera valide quelle que soit
l'octave.

En ce qui concerne les gammes microtonales dans lesquelles un
« dièse » n'est pas d'un centième, @code{altération} se réfère à un
deux-centième de ton entier.
"

  doctitlefr = "Armures inhabituelles"

%% Translation of GIT committish: 0c00cd98e81b27325bed5891b950fe7f0f0ebe5d
  doctitlees = "Armaduras de tonalidad no tradicionales"
  texidoces = "
La muy utilizada instrucción @code{\\key} establece la propiedad
@code{keyAlterations} dentro del contexto @code{Staff}. Para crear
armaduras de tonalidad no estándar, ajuste esta propiedad
directamente.

El formato de esta instrucción es una lista:

@code{\\set Staff.keyAlterations = #`(((octava . paso) . alteración)
((octava . paso) . alteración) ...)}

donde, para cada elemento dentro de la lista, @code{octava} especifica
la octava (siendo@tie{}cero la octava desde el Do@tie{}central hasta
el Si por encima), @code{paso} especifica la nota dentro de la octava
(cero@tie{}significa@tie{}Do y 6@tie{}significa@tie{}Si), y
@code{alteración} es @code{,SHARP ,FLAT ,DOUBLE-SHARP} etc.

De forma alternativa, el uso del formato más conciso @code{(paso
. alteración)} para cada elemento de la lista especifica que la misma
alteración debe estar en todas las octavas. Para escalas microtonales
en las que un @qq{sostenido} no son 100 cents, @code{alteración} se
refiere a la proporción de un tono entero de 200 cents.
"

%% Translation of GIT committish: 0a868be38a775ecb1ef935b079000cebbc64de40
  doctitlede = "Untypische Tonarten"
  texidocde = "
Der üblicherweise benutzte @code{\\key}-Befehl setzt die
@code{keySignature}-Eigenschaft im @code{Staff}-Kontext.

Um untypische Tonartenvorzeichen zu erstellen, muss man diese Eigenschaft
direkt setzen.  Das Format für den Befehl ist eine Liste: @code{ \\set
Staff.keySignature = #`(((Oktave . Schritt) . Alteration) ((Oktave
. Schritt) . Alteration) ...)} wobei für jedes Element in der Liste
@code{Oktave} die Oktave angibt (0@tie{}ist die Oktave vom
eingestrichenen@tie{}C bis zum eingestrichenen@tie{}H), @code{Schritt} gibt
die Note innerhalb der Oktave an (0@tie{}heißt@tie{}C und
6@tie{}heißt@tie{}H), und @code{Alteration} ist @code{,SHARP ,FLAT
,DOUBLE-SHARP} usw.  (Beachte das beginnende Komma.)

Alternativ kann auch jedes Element der Liste mit dem allgemeineren Format
@code{(Schritt . Alteration)} gesetzt werden, wobei dann die Einstellungen
für alle Oktaven gelten.

Hier ein Beispiel einer möglichen Tonart für eine Ganztonleiter:
"

%% Translation of GIT committish: 01cf27b0b2ef4625b7b7f023848df87bb1e4e382
  doctitleca = "Armadures de tonalitat no tradicional"
  texidocca = "
La molt utilitzada ordre @code{\\key} estableix la propietat
@code{keyAlterations}, dins del context @code{Staff}.

Per crear armadures de tonalitat no estàndard, ajusteu aquesta
propietat directament.  El format d'aquesta ordre és una llista:

@code{\\set Staff.keyAlterations = #`(((octava . pas) . alteració)}
on, per cada element dins de la llista @code{octava} especifica
l'octava (sent@tie{}zero l'octava des del Do@tie{}central fins al
Si per sobre), @code{pas} especifica la nota dins de l'octava
(zero@tie{}significa@tie{}Do i 6@tie{}significa@tie{}Si), i
@code{alteració} és @code{,SHARP ,FLAT ,DOUBLE-SHARP}
etc. (observeu la coma precedent).

De forma alternativa, per a cada element de la llista l'ús del
format més concís @code{(pas. alteració)} especifica que la
mateixa alteració ha d'estar en totes les octaves.

Vet aquí un exemple d'una possible armadura per generar una escala
exàtona:
"

  lsrtags = "contemporary-notation, pitches, really-cool, staff-notation, version-specific"

  texidoc = "
The commonly used @code{\\key} command sets the @code{keyAlterations}
property, in the @code{Staff} context.

To create non-standard key signatures, set this property directly. The
format of this command is a list:

@verbatim
\\set Staff.keyAlterations =
  #`(((octave . step) . alter) ((octave . step) . alter) ...)
@end verbatim

where, for each element in the list, @code{octave} specifies the octave
(0 being the octave from middle C to the B above), @code{step}
specifies the note within the octave (0 means C and 6 means B), and
@code{alter} is @code{,SHARP ,FLAT ,DOUBLE-SHARP} etc.

Alternatively, using the more concise format for each item in the list
@code{(step . alter)} specifies the same alteration holds in all
octaves.

For microtonal scales where a @qq{sharp} is not 100 cents, @code{alter}
refers to the alteration as a proportion of a 200-cent whole tone.
"

  doctitle = "Non-traditional key signatures"
} % begin verbatim


\include "arabic.ly"
\relative do' {
  \set Staff.keyAlterations = #`((0 . ,SEMI-FLAT)
                                 (1 . ,SEMI-FLAT)
                                 (2 . ,FLAT)
                                 (5 . ,FLAT)
                                 (6 . ,SEMI-FLAT))
%\set Staff.extraNatural = ##f
  re reb \dwn reb resd
  dod dob dosd \dwn dob |
  dobsb dodsd do do |
}



% ****************************************************************
% end ly snippet
% ****************************************************************
