%% Generated by lilypond-book
%% Options: [exampleindent=10.16\mm,indent=0\mm,line-width=160\mm,quote,ragged-right]
\include "lilypond-book-preamble.ly"


% ****************************************************************
% Start cut-&-pastable-section
% ****************************************************************

#(ly:set-option 'eps-box-padding 3.000000)



\paper {
  indent = 0\mm
  line-width = 160\mm
  % offset the left padding, also add 1mm as lilypond creates cropped
  % images with a little space on the right
  line-width = #(- line-width (* mm  3.000000) (* mm 1))
  line-width = 160\mm - 2.0 * 10.16\mm
  % offset the left padding, also add 1mm as lilypond creates cropped
  % images with a little space on the right
  line-width = #(- line-width (* mm  3.000000) (* mm 1))
  ragged-right = ##t
}

\layout {
  
}




% ****************************************************************
% ly snippet:
% ****************************************************************
\sourcefilename "snippets/controlling-tuplet-bracket-visibility.ly"
\sourcefileline 0
%% DO NOT EDIT this file manually; it was automatically
%% generated from `Documentation/snippets/new/`.
%%
%% Make any changes in `Documentation/snippets/new/`,
%% then run `scripts/auxiliar/makelsr.pl --new`.
%%
%% This file is in the public domain.
%%
%% Note: this file works from version 2.23.14.

\version "2.23.14"

\header {
%% Translation of GIT committish: f11513f36c131dab18338d6a3a729e24a927150d
  texidocja = "
連符の括弧の可視性についての挙動は、デフォルトでは同じ長さの連桁がある場合に@c
表示されないようになっています。これをコントロールするには、@c
@code{bracket-bisibility} プロパティを @code{#t} (常に表示),
@code{#'if-no-beam} (連桁が無い場合にのみ表示。デフォルトの振る舞い),
@code{#f} (常に非表示) のいずれかにセットします。
3 つ目の選択肢は、実際には @code{TupletBracket} オブジェクトを@c
出力から完全に省略することに相当します。
"
  doctitleja = "連符の括弧の可視性をコントロールする"

%% Translation of GIT committish: 2f3474d9af596d677ed5b7ce720ae4d0954a6b51
  texidocit = "
Il comportamento predefinito relativo alla visibilità della parentesi quadra
del gruppo irregolare è di mostrare una parentesi a meno che non ci sia
una travatura della stessa lunghezza del gruppo.

Per controllare la visibilità di tale parentesi, si imposta la proprietà
@code{'bracket-visibility} su @code{#t} (mostra sempre la parentesi),
@code{#'if-no-beam} (mostra la parentesi solo se non c'è una travatura,
che è il comportamento predefinito) o @code{#f} (non mostrare mai la parentesi).
L'ultima opzione equivale a omettere l'oggetto @@code@{TupletBracket@}
dall'output.

"
  doctitleit = "Controllare la visibilità della parentesi del gruppo irregolare"

%% Translation of GIT committish: a5cf37bc53f57635bf984ecc2d1c5a067573b87c
  texidocfr = "
Selon la tradition, les crochets indicateurs de n-olet sont toujours
imprimés, sauf dans le cas où ils seraient de la même longueur qu'une
ligature.

LilyPond permet, au travers de la propriété @code{bracket-visibility},
de contôler précisément leur affichage : déterminée à @code{#t}, ils
seront toujours imprimés ; @code{#f} permet de ne jamais les imprimer --
donc omettre l'objet @code{TupletBracket} --, et @code{#'if-no-beam} les
imprimera en l'absence de ligature (comportement par défaut).
"

  doctitlefr = "Contrôle de l'impression des crochets de n-olet"

%% Translation of GIT committish: ee56da0f7a68cb6d6c5cd8531a566d81abdc5e59
  texidoces = "
El comportamiento predeterminado de la visibilidad de los corchetes de
grupo de valoración especial es imprimir el corchete a no ser que haya
una barra de la misma longitud que el grupo especial.  Para controlar
la visibilidad de los corchetes de grupo, establezca la propiedad
@code{'bracket-visibility} a @code{#t} (imprimir el corchete siempre),
@code{#'if-no-beam} (imprimir el corchete solamente si no hay barra,
el comportamiento predeterminado), o @code{#f} (no imprimir nunca el
corchete).  Este último equivale de hecho a omitir el objeto
@code{TupletBracket} de la salida impresa.

"
  doctitlees = "Controlar la visibilidad de los corchetes de grupo especial"

%% Translation of GIT committish: 8ffecf6be17c6ec2ff87cf31873121a8cce29b09
  texidocca = "
El comportament predeterminat de la visibilitat dels corxets de
grup de valoració especial és imprimir el corxet a no ser que hi
hagi una barra de la mateixa longitud que el grup especial.  Per
controlas la visibilitat dels corxets de grup, establiu la propietat
@code{'bracket-visibility} a @code{#t} (sempre imprimir el corxet).
@code{#f} (no imprimir-lo mai) o @code{#'if-no-beam} (imprimir el
corxet sols si no hi ha barra).

"
  doctitleca = "Control de la visibilitat dels corxets de grup especial"

  lsrtags = "rhythms, tweaks-and-overrides"

  texidoc = "
The default behavior of tuplet bracket visibility is to print a
bracket unless there is a beam of the same length as the tuplet.

To control the visibility of tuplet brackets, set the property
@code{'bracket-visibility} to either @code{#t} (always print a
bracket), @code{'if-no-beam} (only print a bracket if there is no
beam), or @code{#f} (never print a bracket).  The latter is in fact
equivalent to omitting the @code{TupletBracket} object altogether
from the printed output.
"

  doctitle = "Controlling tuplet bracket visibility"
} % begin verbatim


music = \relative c'' {
  \tuplet 3/2 { c16[ d e } f8]
  \tuplet 3/2 { c8 d e }
  \tuplet 3/2 { c4 d e }
}

\new Voice {
  \relative c' {
    \override Score.TextMark.non-musical = ##f
    \textMark "default" \music
    \override TupletBracket.bracket-visibility = #'if-no-beam
    \textMark \markup \typewriter "'if-no-beam" \music
    \override TupletBracket.bracket-visibility = ##t
    \textMark \markup \typewriter "#t" \music
    \override TupletBracket.bracket-visibility = ##f
    \textMark \markup \typewriter "#f" \music
    \omit TupletBracket
    \textMark \markup \typewriter "omit" \music
  }
}



% ****************************************************************
% end ly snippet
% ****************************************************************
